Jump to content
sarac3

ios please put "last compatible versions" in AppStore

Recommended Posts

Isn't it time that the "last compatible version" option became available for Evernote on the AppStore, given that Apple seems to support that option?

 

I have two perfectly good devices running iOS6. I have absolutely no reason to upgrade to iOS7 for the foreseeable future (probably the next couple of years, until the device batteries give up the ghost). One of the devices (iPhone 4) is not even on the list of supported devices, and the other (iPad2) has significant issues reported by users who have done the iOS7 upgrade. I have no intention of shelling out nearly 1500 Euros to get two brand new devices that I don't need for the next two years, just to get an app running. Unfortunately I've just bought a Livescribe pen that only works with Evernote, so I'm especially annoyed to find out that this app is currently useless for both my mobile devices, when in fact I need it there more than on my desktop computer.

 

All other apps that I have seem to be backward compatible even after updating to the iOS7-compatible version of each. So what's special with Evernote, that it can neither be backward compatible, nor allow downloading of last compatible version (which obviously does exist and did work ok, since it was in use until a couple of months ago)? I wish now I had bought a Capturx pen and gone with Microsoft OneNote instead...

  • Like 1

Share this post


Link to post

I totally agree with sarac3.

 

Please put last compatible versions in AppStore.

 

My first generation iPad is ONLY 2.5 years old!

But is only able to run iOS5.5.1.

 

I cannot buy a new iPad every year!

Most people cannot buy a new iPad every year!

  • Like 1

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...